gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ContainerCellAccessible

Contents

- Exported types
- Methods
  - addChild
  - getChildren
  - new
  - removeChild

Description

No description available in the introspection data.

Synopsis

- newtype ContainerCellAccessible = ContainerCellAccessible (ManagedPtr ContainerCellAccessible)
- class (GObject o, IsDescendantOf ContainerCellAccessible o) => IsContainerCellAccessible o
- toContainerCellAccessible :: (MonadIO m, IsContainerCellAccessible o) => o -> m ContainerCellAccessible
- containerCellAccessibleAddChild :: (HasCallStack, MonadIO m, IsContainerCellAccessible a, IsCellAccessible b) => a -> b -> m ()
- containerCellAccessibleGetChildren :: (HasCallStack, MonadIO m, IsContainerCellAccessible a) => a -> m [CellAccessible]
- containerCellAccessibleNew :: (HasCallStack, MonadIO m) => m ContainerCellAccessible
- containerCellAccessibleRemoveChild :: (HasCallStack, MonadIO m, IsContainerCellAccessible a, IsCellAccessible b) => a -> b -> m ()

# Exported types

newtype ContainerCellAccessible Source #

Memory-managed wrapper type.

Constructors

ContainerCellAccessible (ManagedPtr ContainerCellAccessible) |

#### Instances

Instances details

Eq ContainerCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerCellAccessible Methods (==) :: ContainerCellAccessible -> ContainerCellAccessible -> Bool Source # (/=) :: ContainerCellAccessible -> ContainerCellAccessible -> Bool Source #
GObject ContainerCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerCellAccessible
ManagedPtrNewtype ContainerCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerCellAccessible Methods toManagedPtr :: ContainerCellAccessible -> ManagedPtr ContainerCellAccessible Source #
TypedObject ContainerCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerCellAccessible Methods glibType :: IO GType Source #
HasParentTypes ContainerCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerCellAccessible
IsGValue (Maybe ContainerCellAccessible) Source # | Convert `ContainerCellAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ContainerCellAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ContainerCellAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ContainerCellAccessible) Source #
type ParentTypes ContainerCellAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ContainerCellAccessible type ParentTypes ContainerCellAccessible = '[CellAccessible, Accessible, Object, Object, Action, Component, TableCell]

class (GObject o, IsDescendantOf ContainerCellAccessible o) => IsContainerCellAccessible o Source #

Type class for types which can be safely cast to `ContainerCellAccessible`, for instance with `toContainerCellAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ContainerCellAccessible o) => IsContainerCellAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ContainerCellAccessible

toContainerCellAccessible :: (MonadIO m, IsContainerCellAccessible o) => o -> m ContainerCellAccessible Source #

Cast to `ContainerCellAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addChild, addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeChild, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getChildren, getColumnHeaderCells, getColumnSpan, getData, getDescription, getExtents, getHelpText, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getRowColumnSpan, getRowHeaderCells, getRowSpan, getSize, getTable, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.

## addChild

containerCellAccessibleAddChild :: (HasCallStack, MonadIO m, IsContainerCellAccessible a, IsCellAccessible b) => a -> b -> m () Source #

No description available in the introspection data.

## getChildren

containerCellAccessibleGetChildren Source #

Arguments

:: (HasCallStack, MonadIO m, IsContainerCellAccessible a) |
=> a | `container`: the container
-> m [CellAccessible] |

Get a list of children.

## new

containerCellAccessibleNew :: (HasCallStack, MonadIO m) => m ContainerCellAccessible Source #

No description available in the introspection data.

## removeChild

containerCellAccessibleRemoveChild :: (HasCallStack, MonadIO m, IsContainerCellAccessible a, IsCellAccessible b) => a -> b -> m () Source #

No description available in the introspection data.